
<!--
 * @Author: zhaoxiaoqiang 287285524@qq.com
 * @Date: 2023-08-24 15:16:23
 * @LastEditors: zhaoxiaoqiang 287285524@qq.com
 * @LastEditTime: 2023-09-01 11:22:22
 * @FilePath: \qyp_plat\src\views\qyp-project-order\history.vue
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
-->
<template>
    <div>
        <el-form
            :model="formInline"
            inline
            label-width="120px"
            class="form-flex"
            size="small"
        >
            <div style="width: 90%">
                <el-form-item label="权益账号：">
                    <el-input
                        v-model.trim="formInline.mblNo"
                        style="width: 240px"
                        @keyup.native="keyupEvent($event)"
                        type="tel"
                        clearable
                        placeholder="请输入"
                    ></el-input>
                </el-form-item>
                <el-form-item label="权益领取时间：">
                    <el-date-picker
                        v-model="createdTime"
                        style="width: 240px"
                        format="yyyy-MM-dd"
                        value-format="yyyy-MM-dd"
                        type="daterange"
                        range-separator="-"
                        start-placeholder="开始日期"
                        end-placeholder="结束日期"
                    >
                    </el-date-picker>
                </el-form-item>
            </div>
            <el-form-item style="text-align: right;">
                <el-button type="primary" style="margin-left: 10px;margin-bottom: 8px;"  @click="onSearch">查 询</el-button>
            </el-form-item>
        </el-form>
        <Etable
            hasIndex
            :searchData='searchData'
            httpUrl="useList"
            :columns="columns"
            :exportUrl="{
                url: '/qyp/order/useExport',
                powerId:'430208',
                name: '权益领取',
            }"
           >
        </Etable>
    </div>
</template>

<script>
import Etable from "@/components/table.vue";
export default {
    components: { Etable },
    props:{
     orderId:""
    },
    created(){
        this.searchData.orderId = this.orderId;
        this.formInline.orderId = this.orderId;
    },
    data() {
        return {
            columns:[
                {
                    lable: "权益账号",
                    prop: "mblNo",
                    align: "center",
                },
                {
                    lable: "权益领取时间",
                    prop: "creTime",
                    align: "center",
                },
                {
                    lable: "权益名称",
                    prop: "productName",
                    align: "center",
                }
            ],
            formInline:{},
            searchData:{},
            createdTime:[]
        }
    },
    methods:{
        onSearch(){
            this.formInline.creStartTime = this.createdTime&&this.createdTime[0]?this.createdTime[0]:null;
            this.formInline.creEndTime = this.createdTime&&this.createdTime[1]?this.createdTime[1]:null;
            let objForm = JSON.parse(JSON.stringify(this.formInline));
            for (let key in objForm) {
                if (objForm[key] === "all"||objForm[key] === null||objForm[key] === '') {
                    delete objForm[key];
                }
            }
            this.searchData = { ...objForm };
        }
    }
};
</script>

<style scoped lang="less">

</style>
